Class
RankDictionary
A rank dictionary is a data structure to store the rank of an element of a sequence at every position of the sequence.

RankDictionary

SequenceBitMask | WaveletTree

RankDictionary<TSpec>
Include Headers
seqan/index.h
Parameters

TSpec | The rank dictionary specialisation. Types: SequenceBitMask, WaveletTree Default: WaveletTree

Specializations

SequenceBitMask | The string set bit string dictionary is a string set of rank support bit strings for constant time acces of the rank of a specified character at a specified position.
WaveletTree | A wavelet tree is a tree like binary encoding of a text.

Metafunctions

Fibre | Type of a specific container member (fibre).

Functions

clear | Clears the rank dictionary.
countOccurrences | Returns the number of occurrences of a specified character from the start to a specified position.
createRankDictionary | This functions creates the dictionary.
createSentinelRankDictionary | This functions creates the dictionary structure.
empty | Returns whether or not the rank dictionary is empty.
getFibre | Returns a specific fibre of a dictionary.
getSentinelSubstitute | Returns the character used to substitute the sentinel sign.
getValue | Returns the character of a specified position.
open | This functions loads a dictionary from disk.
save | This functions saves a dictionary to disk.
setSentinelPosition | Sets the sentinel position..
setSentinelSubstitute | Sets the character used to substitute the sentinel sign.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56